Subject: bug#41375: closed (Re: bug#41375: guix substitute: error: TLS error in procedure 'handshake')

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 21 May 2020 12:55:02 +0000

Your bug report

#41375: guix substitute: error: TLS error in procedure 'handshake'

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41375: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41375
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#41375: guix substitute: error: TLS error in procedure 'handshake'
From: Marius Bakke <[email-masked]>
To: Igor Gajsin <[email-masked]>
Cc: Igor Gajsin <[email-masked]>, [email-masked]
Date: Thu, 21 May 2020 14:54:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Igor Gajsin <[email-masked]> writes:

> Next evening I've run `guix pull` again and it finished well. I don't
> know why.

OK.  Closing the bug, as we're unlikely to find out what went wrong.

Thanks!

Subject: guix substitute: error: TLS error in procedure 'handshake'
From: Igor Gajsin <[email-masked]>
To: [email-masked]
Date: Mon, 18 May 2020 09:26:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I run the command `guix pull --dry-run` and got the error:

substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%                                                                            \
                                                                                                                                                     /substitute: guix substitute: error: TLS error in procedure 'handshake': The TLS connection was non-properly terminated.
Backtrace:
          11 (primitive-load "/gnu/store/aj6hrhgnprkhaahvbbcy5h6p38055g8w-compute-guix-derivation")
In ice-9/eval.scm:
    155:9 10 (_ _)
    159:9  9 (_ #(#(#(#(#(#(#(#(#(#(#(#(#(#<directory (guile-user) 1629140> (?)) #) # ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?))
In ./guix/store.scm:
  2017:24  8 (run-with-store #<store-connection 256.99 1a43000> _ #:guile-for-build _ #:system _ #:target _)
   1851:8  7 (_ _)
In ./guix/gexp.scm:
   242:18  6 (_ _)
   1058:2  5 (_ _)
    918:2  4 (_ _)
    779:4  3 (_ _)
In ./guix/store.scm:
  1899:12  2 (_ #<store-connection 256.99 1a43000>)
   1352:5  1 (map/accumulate-builds #<store-connection 256.99 1a43000> _ _)
  1363:15  0 (_ #<store-connection 256.99 1a43000> _ _)

./guix/store.scm:1363:15: Throw to key `srfi-34' with args `(#<condition &store-protocol-error [message: "substituter `substitute' died unexpectedly" status: 1] 6494e70>)'.
guix pull: error: You found a bug: the program '/gnu/store/aj6hrhgnprkhaahvbbcy5h6p38055g8w-compute-guix-derivation'
failed to compute the derivation for Guix (version: "5b77e9ca14ff7fc74b849492e96353939f29664b"; system: "x86_64-linux";
host version: "1.0.1-3.4a54ed7"; pull-version: 1).
Please report it by email to <[email-masked]>.

Please, don't hesitate to ask if you need more details.

--
With best regards,
Igor Gajsin